System.ServiceModel 4.0.0.0 System.Enum To be added.

An enumeration listing the possible types of X.509 key identifier clauses.

- Field
  4.0.0.0
  System.ServiceModel.Security.Tokens.X509KeyIdentifierClauseType

  is used if present in the X.509 certificate, otherwise is used.

- Field
  4.0.0.0
  System.ServiceModel.Security.Tokens.X509KeyIdentifierClauseType

  The IssuerSerial reference is used: the issuer identifier plus a serial number that is unique for an issuer.

- Field
  4.0.0.0
  System.ServiceModel.Security.Tokens.X509KeyIdentifierClauseType

  The reference contains the raw data for the entire X.509 certificate.

- Field
  4.0.0.0
  System.ServiceModel.Security.Tokens.X509KeyIdentifierClauseType

  Reference is based on the subject key identifier extension of an X.509 certificate (not all certificates have one, it is an optional property).

- Field
  4.0.0.0
  System.ServiceModel.Security.Tokens.X509KeyIdentifierClauseType

  The X.509 Thumbprint is used.